Freeciv-3.2: packet_server_setting_bitwise Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_server_setting_bitwise Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
bool | is_visible
bool | is_changeable
bool | initial_setting
enum setting_default_level | setdef
int | val
int | default_val
int | bits_num
char | support_names [64][MAX_LEN_NAME]
char | pretty_names [64][MAX_LEN_ENUM]

## Detailed Description

Definition at line 1571 of file packets_gen.h.

## Field Documentation

## ◆ bits_num

int packet_server_setting_bitwise::bits_num

Definition at line 1579 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100(), and send_server_setting().

## ◆ default_val

int packet_server_setting_bitwise::default_val

Definition at line 1578 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100(), and send_server_setting().

## ◆ id

int packet_server_setting_bitwise::id

Definition at line 1572 of file packets_gen.h.

Referenced by receive_packet_server_setting_bitwise_100().

## ◆ initial_setting

bool packet_server_setting_bitwise::initial_setting

Definition at line 1575 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100().

## ◆ is_changeable

bool packet_server_setting_bitwise::is_changeable

Definition at line 1574 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100().

## ◆ is_visible

bool packet_server_setting_bitwise::is_visible

Definition at line 1573 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100(), and send_server_setting().

## ◆ pretty_names

char packet_server_setting_bitwise::pretty_names[64][MAX_LEN_ENUM]

Definition at line 1581 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100(), and send_server_setting().

## ◆ setdef

enum setting_default_level packet_server_setting_bitwise::setdef

Definition at line 1576 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100().

## ◆ support_names

char packet_server_setting_bitwise::support_names[64][MAX_LEN_NAME]

Definition at line 1580 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100(), and send_server_setting().

## ◆ val

int packet_server_setting_bitwise::val

Definition at line 1577 of file packets_gen.h.

Referenced by send_packet_server_setting_bitwise_100(), and send_server_setting().